#define EXTERN
#include "pglobal.h"
#include "seqfilesm.h"
#include "psolverm.h"
#include "pmefelinit.h"
#include "mpi.h"
#include <stdio.h>
#include <string.h>
#include <time.h>

int main (int argc,char *argv[])
{
  time_t bt,et;
  
  
  bt = time (NULL);
  
  //  MPI initiation
  MPI_Init(&argc,&argv);
  MPI_Comm_rank(MPI_COMM_WORLD,&Myrank);
  MPI_Comm_size(MPI_COMM_WORLD,&Nproc);

  fprintf (stdout,"\n MYRANK je %ld",Myrank);
  
  //  initiation of the code
  pmefel_init (argc,argv[1]);
  
  //  solution of the problem
  par_solve_mefel_problem ();
  

  et = time (NULL);
  
  fprintf (Out,"\n\n\n Udaje o dobach vypoctu \n");
  fprintf (Out,"\n\n celkova doba vypoctu             %ld",et-bt);
  if (Myrank==0){
    fprintf (stdout,"\n\n\n Udaje o dobach vypoctu \n");
    fprintf (stdout,"\n\n celkova doba vypoctu             %ld",et-bt);
  }
  
  fprintf (Out,"\n");
  fclose (Out);

  fprintf (stdout,"\n");  fprintf (stderr,"\n");
  
  MPI_Finalize ();
  
}
